## tinysparql 3.8.2

=== meson_options.txt ===
option('docs', type: 'boolean', value: true, yield: true,
       description: 'Generate API documentation with gtk-doc')
option('man', type: 'boolean', value: true, yield: true,
       description: 'Install man pages')
option('override_sqlite_version_check', type: 'boolean', value: false,
       description: 'Override checks for broken sqlite versions')

option('stemmer', type: 'feature', value: 'auto',
       description: 'Stemming words while indexing')
option('unicode_support', type: 'combo', choices: ['icu', 'unistring', 'auto'], value: 'auto',
       description: 'Unicode support library to use')
option('avahi', type: 'feature', value: 'auto',
       description: 'DNS-SD support on HTTP endpoints')

option('bash_completion', type: 'boolean', value: true,
       description: 'Whether to install Bash completion files')
option('bash_completion_dir', type: 'string',
       description: 'Directory to install Bash completion files')
option('dbus_services_dir', type: 'string', value: '',
       description: 'Directory to install D-Bus .service files (or empty to use default)')
option('systemd_user_services', type: 'boolean', value: true, yield: true,
       description: 'Whether to install systemd user .service files')
option('systemd_user_services_dir', type: 'string', value: '', yield: true,
       description: 'Directory to install systemd user unit files (or empty to use default)')
option('tests', type: 'boolean', value: true,
       description: 'Whether to build tests')
option('tests_tap_protocol', type: 'boolean', value: false,
       description: 'Whether to enable TAP protocol on tests')
option('introspection', type: 'feature', value: 'enabled',
       description: 'Whether to enable introspection')
option('vapi', type: 'feature', value: 'enabled',
       description: 'Whether to enable Vala binding generation')

=== debian/changelog ===
tinysparql (3.8.2-5) unstable; urgency=high

  * Move libtracker-http-soup3.so & libtracker-parser-libicu.so
    from libtracker-sparql-3.0-0 to libtinysparql-3.0-0 (Closes: #1099212)
  * Have libtracker-sparql-3.0-dev Depend on libtinysparql-3.0-0
    instead of libtracker-sparql-3.0-0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 19:03:59 -0500

tinysparql (3.8.2-4) unstable; urgency=high

  [ Simon McVittie ]
  * Move /usr/include/tinysparql-3.0/tracker-*.h to libtinysparql-dev.
    Despite what their names might seem to indicate, these headers are
    all included in <tinysparql.h>, so including these headers without
    a circular dependency requires moving them. This allows the
    dependency on libtracker-sparql-3.0-dev by libtinysparql-dev to be
    removed.
  * d/tests: Verify basic functionality of -dev packages
    (Reproduces: #1098537)
  * libtracker-sparql-3.0-dev: Add missing Depends on libtinysparql-dev
    (Closes: #1098537)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 09:27:20 -0500

tinysparql (3.8.2-3) unstable; urgency=medium

  * Recommends: localsearch (instead of tracker-miner-fs)
  * autopkgtest: extend dh_auto_test timeout multiplier here too

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 06:50:50 -0500

tinysparql (3.8.2-2) unstable; urgency=medium

  * Increase test timeout multiplier to try to help riscv64 build
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 20:36:09 -0500

tinysparql (3.8.2-1) experimental; urgency=medium

  * New upstream release
  * Revert docs workaround from 3.8.1-1: no longer needed
  * Add missing Depends: libtracker-sparql-3.0-dev to libtinysparql-dev
  * Update debian/upstream/metadata
  * Update symbols file to drop symbols that had been accidentally exported
    in earlier 3.8 versions which means they weren't used in Debian yet
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Feb 2025 08:49:03 -0500

tinysparql (3.8.1-1) experimental; urgency=medium

  * Rename to tinysparql (Closes: #1072712)
  * New upstream release
  * Update debian/copyright
  * Add new binary packages
  * Convert tracker and tracker-doc into transitional packages
  * The tracker-test-utils package is no longer provided
  * Remove 2 patches applied in new release
  * Add patch to not build web-ide feature
  * Refresh and extend patch that skips some tests during autopkgtests
  * Files-Excluded: add web-ide to avoid trying to document
    it in debian/copyright

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Dec 2024 18:14:37 -0500

tracker (3.7.3-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Fix autopkgtests and cherrypick some upstream build fixes
    (Closes: #1068468)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Jul 2024 23:08:29 +0200

tracker (3.7.3-1) unstable; urgency=medium

  * New upstream release
    - Update for compatibility with SQLite 3.45.3 (Closes: #1069416)
  * Increase build test timeout multiplier to try to help riscv64 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 13:31:35 -0400

tracker (3.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 17:30:57 -0400

tracker (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:43:13 -0400

tracker (3.7.0-1) unstable; urgency=medium

  * New upstream release
  * Update patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 09:31:32 -0400

tracker (3.7~rc-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Disable build tests when nocheck is set (Closes: #1061464)

  [ Jeremy Bícha ]
  * Release to unstable (Closes: #1065464)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 08:01:20 -0500

tracker (3.7~rc-2) experimental; urgency=medium

  * debian/tests/unit-tests:
    - the autopkgtest are using the upstream buildtests which aren't
      installed tests. The tests setup isn't rebuilding the libraries but
      then LD_LIBRARY_PATH is forced by meson on a local path and not
      considering the system location, which means it doesn't fail the
      needed libraries. Workaround the problem by copying the system
      library to the local path in the unit-tests script. It's not ideal
      but the alternative of rebuilding the library would mean we wouldn't
      be testing the right binaries.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Mar 2024 10:29:53 +0100

tracker (3.7~rc-1) experimental; urgency=medium

  * New upstream release
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 18:45:58 -0500

tracker (3.7~beta-3) experimental; urgency=medium

  * Add debian/salsa-ci.yml
  * Drop workaround patches for 32-bit build test issues and cherry-pick
    upstream's new fixes instead

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 10:56:27 -0500

tracker (3.7~beta-2) experimental; urgency=medium

  * Revert a commit & 2 fixups that broke build tests on 32-bit
    (Closes: #1035903)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 21:50:34 -0500

tracker (3.7~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols
  * debian/tracker.install: Install additional binaries
  * debian/tracker.install: /usr/libexec/tracker-3 is no longer provided
  * Add/restore patch to use bash because of bashisms in scripts

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:30:58 -0500

tracker (3.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 15:38:11 -0400

tracker (3.6~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Sep 2023 11:08:03 -0400

tracker (3.6~beta-1) experimental; urgency=medium

  * New upstream release
  * Drop /usr/bin/env patch applied in new release


=== debian/control ===
Source: tinysparql
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               meson (>= 0.53),
               pkgconf,
               asciidoc-base,
               gi-docgen,
               graphviz,
               libdbus-1-dev (>= 1.3.1),
               libglib2.0-dev (>= 2.46.0),
               libsqlite3-dev (>= 3.8.3),
               libstemmer-dev,
               zlib1g-dev,
               libupower-glib-dev (>= 0.9.0),
               libxml2-dev,
               uuid-dev,
               valac,
               xmlto,
               bash-completion,
               libglib2.0-doc,
               libgirepository1.0-dev (>= 0.10.7-1~),
               libicu-dev,
               libjson-glib-dev (>= 1.4),
               libsoup-3.0-dev,
               dbus (>= 1.8) <!nocheck>,
               python3-gi <!nocheck>,
               gir1.2-glib-2.0 <!nocheck>,
               python3-tap <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/tinysparql
Vcs-Git: https://salsa.debian.org/gnome-team/tinysparql.git
Homepage: https://tracker.gnome.org/

Package: tinysparql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shared-mime-info,
         libglib2.0-bin,
         default-dbus-session-bus | dbus-session-bus
Recommends: localsearch
Breaks: tracker (<< 3.8)
Replaces: tracker (<< 3.8)
Description: metadata database, indexer and search tool
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker
Architecture: all
Section: oldlibs
Depends:
 ${misc:Depends},
 tinysparql,
Description: metadata database and indexer (transitional package)
 This is a transitional package. It can safely be removed.

Package: libtracker-sparql-3.0-0
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtinysparql-3.0-0 (= ${binary:Version}),
Description: metadata database, indexer and search tool - old library
 This package contains a library to perform SPARQL queries and updates in the
 TinySPARQL store.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.
 .
 This package is provided to ease the transition to libtinysparql-3.0-0.

Package: libtinysparql-3.0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libtracker-sparql-3.0-0 (<< 3.8.2-5~)
Replaces: libtracker-sparql-3.0-0 (<< 3.8.2-5~)
Description: metadata database, indexer and search tool - library
 This package contains a library to perform SPARQL queries and updates in the
 TinySPARQL store.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-sparql-3.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtinysparql-dev (= ${binary:Version}),
         libtinysparql-3.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.52.0),
         libicu-dev (>= 4.8.1.1),
         libjson-glib-dev (>= 1.4),
         libxml2-dev (>= 2.6),
         libsoup-3.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.15.0),
         gir1.2-tracker-3.0 (= ${binary:Version})
Provides: ${gir:Provides}
Suggests: libtracker-sparql-doc
Description: metadata database, indexer and search tool - old dev files
 This package contains the static libraries and header files needed to link
 applications with libtracker-sparql.
 .
 libtracker-sparql provides a library to perform SPARQL queries and updates in
 the TinySPARQL store.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.
 .
 This package is provided to ease the transition to libtinysparql-dev.

Package: libtinysparql-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtinysparql-3.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.52.0),
         libicu-dev (>= 4.8.1.1),
         libjson-glib-dev (>= 1.4),
         libxml2-dev (>= 2.6),
         libsoup-3.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.15.0),
         gir1.2-tsparql-3.0 (= ${binary:Version})
Breaks: libtracker-sparql-3.0-dev (<< 3.8.2-4~)
Replaces: libtracker-sparql-3.0-dev (<< 3.8.2-4~)
Provides: ${gir:Provides}
Suggests: libtracker-sparql-doc
Description: metadata database, indexer and search tool - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-sparql.
 .
 libtiny-sparql provides a library to perform SPARQL queries and updates in
 the TinySPARQL store.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtinysparql-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: metadata database, indexer and search tool - API documentation
 This package contains the API documentation for libtinysparql
 as well as some example programs.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-doc
Architecture: all
Section: oldlibs
Depends:
 ${misc:Depends},
 libtinysparql-doc,
Description: metadata database API documentation (transitional package)
 This is a transitional package. It can safely be removed.

Package: gir1.2-tracker-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Provides: ${gir:Provides}
Description: GObject introspection data for Tracker
 This package contains introspection data for libtracker-control,
 libtracker-miner and libtracker-sparql.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: gir1.2-tsparql-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Provides: ${gir:Provides}
Description: GObject introspection data for TSparql
 This package contains introspection data for libtinysparql.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

=== debian/tests/control ===
Tests: libtinysparql-dev
Depends: build-essential, libtinysparql-dev, pkgconf
Restrictions: allow-stderr, superficial

Tests: libtracker-sparql-3.0-dev
Depends: build-essential, libtracker-sparql-3.0-dev, pkgconf
Restrictions: allow-stderr, superficial

Tests: unit-tests
Depends: @, @builddeps@, locales

## tinysparql 3.10.1

=== meson_options.txt ===
--- 
+++ 
@@ -22,11 +22,16 @@
        description: 'Whether to install systemd user .service files')
 option('systemd_user_services_dir', type: 'string', value: '', yield: true,
        description: 'Directory to install systemd user unit files (or empty to use default)')
+option('introspection', type: 'feature', value: 'enabled',
+       description: 'Whether to enable introspection')
+option('vapi', type: 'feature', value: 'enabled',
+       description: 'Whether to enable Vala binding generation')
+option('builtin_modules', type: 'boolean', value: false,
+       description: 'Whether modules are compiled into the library')
+
 option('tests', type: 'boolean', value: true,
        description: 'Whether to build tests')
 option('tests_tap_protocol', type: 'boolean', value: false,
        description: 'Whether to enable TAP protocol on tests')
-option('introspection', type: 'feature', value: 'enabled',
-       description: 'Whether to enable introspection')
-option('vapi', type: 'feature', value: 'enabled',
-       description: 'Whether to enable Vala binding generation')
+option('oss_fuzz', type: 'feature', value: 'disabled',
+       description: 'Use oss-fuzz build environment')

=== subprojects/libstemmer_c-3.0.1/Makefile ===
include mkinc.mak
ifeq ($(OS),Windows_NT)
EXEEXT=.exe
endif
CFLAGS=-O2
CPPFLAGS=-Iinclude
all: libstemmer.a stemwords$(EXEEXT)
libstemmer.a: $(snowball_sources:.c=.o)
	$(AR) -cru $@ $^
stemwords$(EXEEXT): examples/stemwords.o libstemmer.a
	$(CC) $(CFLAGS) -o $@ $^
clean:
	rm -f stemwords$(EXEEXT) libstemmer.a *.o src_c/*.o examples/*.o runtime/*.o libstemmer/*.o

=== debian/changelog ===
tinysparql (3.10.1-2) unstable; urgency=medium

  * Release to unstable (Closes: #1118924)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 09:31:40 -0500

tinysparql (3.10.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum sqlite3
  * Revert "debian/rules: Disable the parallel execution of the tests"
  * Remove libsoup documentation patch: applied in new release
  * Add patch to ignore manpage test failure

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/control: Add ${gir:Depends} to -dev packages
  * d/control: Remove libglib2.0-doc B-D.
    This isn't used by gi-docgen.
  * d/control, d/rules: Don't require gi-docgen when not building -doc
    packages. This doesn't need to be installed on the per-architecture
    buildds.
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Nov 2025 15:31:26 -0500

tinysparql (3.8.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/docs-Update-URL-to-libsoup.patch:
    Correct the documentation URL for libsoup
  * d/p/disable-some-failing-tests.patch:
    Improve metadata

  [ Jeremy Bícha ]
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 14:50:37 -0400

tinysparql (3.8.2-6) unstable; urgency=medium

  * Stop installing the "transitional" libtracker-sparql-3.0-0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Mar 2025 09:03:49 -0400

=== debian/control ===
--- 
+++ 
@@ -6,44 +6,44 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               meson (>= 0.53),
-               pkgconf,
                asciidoc-base,
-               gi-docgen,
+               bash-completion,
+               dbus (>= 1.8) <!nocheck>,
+               gir1.2-gio-2.0-dev,
+               gir1.2-glib-2.0 <!nocheck>,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                graphviz,
                libdbus-1-dev (>= 1.3.1),
                libglib2.0-dev (>= 2.46.0),
-               libsqlite3-dev (>= 3.8.3),
+               libicu-dev,
+               libjson-glib-dev (>= 1.4),
+               libsoup-3.0-dev,
+               libsqlite3-dev (>= 3.24.0),
                libstemmer-dev,
-               zlib1g-dev,
                libupower-glib-dev (>= 0.9.0),
                libxml2-dev,
+               meson (>= 0.53),
+               pkgconf,
+               python3-gi <!nocheck>,
+               python3-tap <!nocheck>,
                uuid-dev,
                valac,
                xmlto,
-               bash-completion,
-               libglib2.0-doc,
-               libgirepository1.0-dev (>= 0.10.7-1~),
-               libicu-dev,
-               libjson-glib-dev (>= 1.4),
-               libsoup-3.0-dev,
-               dbus (>= 1.8) <!nocheck>,
-               python3-gi <!nocheck>,
-               gir1.2-glib-2.0 <!nocheck>,
-               python3-tap <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+               zlib1g-dev
+Build-Depends-Indep: gi-docgen <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/tinysparql
 Vcs-Git: https://salsa.debian.org/gnome-team/tinysparql.git
 Homepage: https://tracker.gnome.org/
 
 Package: tinysparql
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: default-dbus-session-bus | dbus-session-bus,
+         libglib2.0-bin,
+         shared-mime-info,
          ${misc:Depends},
-         shared-mime-info,
-         libglib2.0-bin,
-         default-dbus-session-bus | dbus-session-bus
+         ${shlibs:Depends}
 Recommends: localsearch
 Breaks: tracker (<< 3.8)
 Replaces: tracker (<< 3.8)
@@ -55,35 +55,15 @@
 Package: tracker
 Architecture: all
 Section: oldlibs
-Depends:
- ${misc:Depends},
- tinysparql,
+Depends: tinysparql, ${misc:Depends}
 Description: metadata database and indexer (transitional package)
  This is a transitional package. It can safely be removed.
-
-Package: libtracker-sparql-3.0-0
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libtinysparql-3.0-0 (= ${binary:Version}),
-Description: metadata database, indexer and search tool - old library
- This package contains a library to perform SPARQL queries and updates in the
- TinySPARQL store.
- .
- TinySPARQL is an advanced framework for first class objects with associated
- metadata and tags. It provides a one stop solution for all metadata, tags,
- shared object databases, search tools and indexing.
- .
- This package is provided to ease the transition to libtinysparql-3.0-0.
 
 Package: libtinysparql-3.0-0
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libtracker-sparql-3.0-0 (<< 3.8.2-5~)
 Replaces: libtracker-sparql-3.0-0 (<< 3.8.2-5~)
 Description: metadata database, indexer and search tool - library
@@ -98,17 +78,18 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libtinysparql-dev (= ${binary:Version}),
-         libtinysparql-3.0-0 (= ${binary:Version}),
+Depends: gir1.2-tracker-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.52.0),
          libicu-dev (>= 4.8.1.1),
          libjson-glib-dev (>= 1.4),
+         libsoup-3.0-dev (>= 2.40),
+         libsqlite3-dev (>= 3.24.0),
+         libtinysparql-3.0-0 (= ${binary:Version}),
+         libtinysparql-dev (= ${binary:Version}),
          libxml2-dev (>= 2.6),
-         libsoup-3.0-dev (>= 2.40),
-         libsqlite3-dev (>= 3.15.0),
-         gir1.2-tracker-3.0 (= ${binary:Version})
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: ${gir:Provides}
 Suggests: libtracker-sparql-doc
 Description: metadata database, indexer and search tool - old dev files
@@ -128,16 +109,17 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libtinysparql-3.0-0 (= ${binary:Version}),
+Depends: gir1.2-tsparql-3.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.52.0),
          libicu-dev (>= 4.8.1.1),
          libjson-glib-dev (>= 1.4),
+         libsoup-3.0-dev (>= 2.40),
+         libsqlite3-dev (>= 3.24.0),
+         libtinysparql-3.0-0 (= ${binary:Version}),
          libxml2-dev (>= 2.6),
-         libsoup-3.0-dev (>= 2.40),
-         libsqlite3-dev (>= 3.15.0),
-         gir1.2-tsparql-3.0 (= ${binary:Version})
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: libtracker-sparql-3.0-dev (<< 3.8.2-4~)
 Replaces: libtracker-sparql-3.0-dev (<< 3.8.2-4~)
 Provides: ${gir:Provides}
@@ -154,6 +136,7 @@
  shared object databases, search tools and indexing.
 
 Package: libtinysparql-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
@@ -167,11 +150,10 @@
  shared object databases, search tools and indexing.
 
 Package: libtracker-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Section: oldlibs
-Depends:
- ${misc:Depends},
- libtinysparql-doc,
+Depends: libtinysparql-doc, ${misc:Depends}
 Description: metadata database API documentation (transitional package)
  This is a transitional package. It can safely be removed.
 
@@ -179,9 +161,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${gir:Provides}
 Description: GObject introspection data for Tracker
  This package contains introspection data for libtracker-control,
@@ -198,9 +178,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${gir:Provides}
 Description: GObject introspection data for TSparql
  This package contains introspection data for libtinysparql.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# needed for Ubuntu
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dunicode_support=icu \
		-Dstemmer=enabled \
		-Dbash_completion=true \
		-Dbash_completion_dir=/usr/share/bash-completion/completions \
		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Dsystemd_user_services=true \
		-Dsystemd_user_services_dir=/usr/lib/systemd/user \
		-Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),false,true)

override_dh_auto_test:
	dbus-run-session -- dh_auto_test -- --timeout-multiplier 7

override_dh_gnome_clean:

=== debian/tests/control ===
--- 
+++ 
@@ -7,4 +7,4 @@
 Restrictions: allow-stderr, superficial
 
 Tests: unit-tests
-Depends: @, @builddeps@, locales
+Depends: locales, @, @builddeps@

## tinysparql 3.11~beta

=== debian/changelog ===
tinysparql (3.11~beta-1) unstable; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
  * d/symbols: Add symbols from the new version

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Feb 2026 07:35:10 -0500

tinysparql (3.10.1-4) unstable; urgency=medium

  * Mark other -doc package as Multi-Arch: foreign also

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 13:43:40 -0500

tinysparql (3.10.1-3) unstable; urgency=medium

  * Mark -doc package as Multi-Arch: foreign
  * Remove Suggests: devhelp
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Dec 2025 14:44:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: tinysparql
 Section: utils
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -31,8 +30,8 @@
                valac,
                xmlto,
                zlib1g-dev
-Build-Depends-Indep: gi-docgen <!nodoc>,
-Standards-Version: 4.7.2
+Build-Depends-Indep: gi-docgen <!nodoc>
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/tinysparql
 Vcs-Git: https://salsa.debian.org/gnome-team/tinysparql.git
 Homepage: https://tracker.gnome.org/
@@ -78,8 +77,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: gir1.2-tracker-3.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.52.0),
+Depends: libglib2.0-dev (>= 2.52.0),
          libicu-dev (>= 4.8.1.1),
          libjson-glib-dev (>= 1.4),
          libsoup-3.0-dev (>= 2.40),
@@ -88,8 +86,7 @@
          libtinysparql-dev (= ${binary:Version}),
          libxml2-dev (>= 2.6),
          ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Provides: ${gir:Provides}
 Suggests: libtracker-sparql-doc
 Description: metadata database, indexer and search tool - old dev files
@@ -138,9 +135,9 @@
 Package: libtinysparql-doc
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: devhelp
 Description: metadata database, indexer and search tool - API documentation
  This package contains the API documentation for libtinysparql
  as well as some example programs.
@@ -152,6 +149,7 @@
 Package: libtracker-doc
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: oldlibs
 Depends: libtinysparql-doc, ${misc:Depends}
 Description: metadata database API documentation (transitional package)
@@ -161,8 +159,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Provides: ${gir:Provides}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for Tracker
  This package contains introspection data for libtracker-control,
  libtracker-miner and libtracker-sparql.
